aboutsummaryrefslogtreecommitdiff
path: root/script/dev-configure.sh
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2023-09-27 13:38:17 +0200
committerAlex Auvolat <alex@adnab.me>2023-09-27 14:57:37 +0200
commit9ac1d5be0eba1b3b35f7fb2f99fe8df549044197 (patch)
tree43be0581776a16f56b5882678121042619912d59 /script/dev-configure.sh
parent897cbf2c27e4477dde51eee5b73fa3267b4c7098 (diff)
downloadgarage-9ac1d5be0eba1b3b35f7fb2f99fe8df549044197.tar.gz
garage-9ac1d5be0eba1b3b35f7fb2f99fe8df549044197.zip
add upgrade test for garage 0.8 -> 0.9
Diffstat (limited to 'script/dev-configure.sh')
-rwxr-xr-xscript/dev-configure.sh34
1 files changed, 25 insertions, 9 deletions
diff --git a/script/dev-configure.sh b/script/dev-configure.sh
index 9c24bf4b..0649cdbe 100755
--- a/script/dev-configure.sh
+++ b/script/dev-configure.sh
@@ -9,9 +9,17 @@ GARAGE_RELEASE="${REPO_FOLDER}/target/release/"
NIX_RELEASE="${REPO_FOLDER}/result/bin/"
PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:${NIX_RELEASE}:$PATH"
+if [ -z "$GARAGE_BIN" ]; then
+ GARAGE_BIN=$(which garage || exit 1)
+ echo -en "Found garage at: ${GARAGE_BIN}\n"
+else
+ echo -en "Using garage binary at: ${GARAGE_BIN}\n"
+fi
+$GARAGE_BIN --version
+
sleep 5
RETRY=120
-until garage -c /tmp/config.1.toml status 2>&1|grep -q HEALTHY ; do
+until $GARAGE_BIN -c /tmp/config.1.toml status 2>&1|grep -q HEALTHY ; do
(( RETRY-- ))
if (( RETRY <= 0 )); then
echo "garage did not start in time, failing."
@@ -21,12 +29,20 @@ until garage -c /tmp/config.1.toml status 2>&1|grep -q HEALTHY ; do
sleep 1
done
-garage -c /tmp/config.1.toml status \
- | grep 'NO ROLE' \
- | grep -Po '^[0-9a-f]+' \
- | while read id; do
- garage -c /tmp/config.1.toml layout assign $id -z dc1 -c 1G
- done
+if [ "$GARAGE_08" = "1" ]; then
+ $GARAGE_BIN -c /tmp/config.1.toml status \
+ | grep 'NO ROLE' \
+ | grep -Po '^[0-9a-f]+' \
+ | while read id; do
+ $GARAGE_BIN -c /tmp/config.1.toml layout assign $id -z dc1 -c 1
+ done
+else
+ $GARAGE_BIN -c /tmp/config.1.toml status \
+ | grep 'NO ROLE' \
+ | grep -Po '^[0-9a-f]+' \
+ | while read id; do
+ $GARAGE_BIN -c /tmp/config.1.toml layout assign $id -z dc1 -c 1G
+ done
+fi
-garage -c /tmp/config.1.toml layout config -r 1
-garage -c /tmp/config.1.toml layout apply --version 1
+$GARAGE_BIN -c /tmp/config.1.toml layout apply --version 1